document: modulemd
version: 2
data:
    stream: 10
    summary: Red Hat PKI module
    description: A module for Red Hat PKI packages.
    license:
        module:
          - MIT
    dependencies:
      - buildrequires:
            platform: [el8]
            build: [rhel-8.2.0-certsys-10.0]
            golang-ecosystem: [1.0]
            pki-core: [10.6]
        requires:
            platform: [el8]
            pki-core: [10.6]
    references:
        community: http://www.dogtagpki.org
        documentation: http://www.dogtagpki.org
        tracker: https://pagure.io/dogtagpki/issues
    profiles:
        common:
            rpms:
              - redhat-pki
    components:
        rpms:
            idm-console-framework:
                rationale: IDM Console Framework packages
                ref: stream-redhat-pki-10-LP-rhel-8.2.0-certsys-10.0
            pki-extras:
                rationale: PKI Extras packages
                ref: stream-redhat-pki-10-LP-rhel-8.2.0-certsys-10.0
                buildorder: 10
            redhat-pki:
                rationale: Red Hat PKI packages
                ref: stream-redhat-pki-10-LP-rhel-8.2.0-certsys-10.0
                buildorder: 20
